#!/bin/sh
#set -x
VDR_VERSION="vdr-1.4.1"
VDR_URL="ftp://ftp.cadsoft.de/vdr"
BP="vdr-1.4.1-1-bigpatch-test1.tar.bz2"
BP_URL="http://bigpatch.vdr-developer.org/1.4.1-1"
PLG="VDR-Plugins-Frank99--22-06-2006.tar.bz2"
PLG_URL="http://vdr-plugins-bigpack.htpc-forum.de/Plugins"

LOG="/_config/update/vdr141.log"

[ -f $LOG ] && rm $LOG

[ ! -f $VDR_VERSION.tar.bz2 ] && wget $VDR_URL/$VDR_VERSION.tar.bz2 2>&1 | tee -a $LOG
[ ! -f $BP ] && wget $BP_URL/$BP 2>&1 | tee -a $LOG
[ ! -f $PLG ] && wget $PLG_URL/$PLG 2>&1 | tee -a $LOG

cd /usr/local/src
[ -d $VDR_VERSION ] && echo "/usr/local/src/$VDR_VERSION existiert bereits" | tee -a $LOG && exit 1

tar -xjvf /tmp/$VDR_VERSION.tar.bz2 2>&1 | tee -a $LOG
[ "$?" != "0" ] && "Fehler beim Entpacken von /tmp/$VDR_VERSION.tar.bz2" | tee -a $LOG && exit 1

cp -v VDR/Make.config $VDR_VERSION/ 2>&1 | tee -a $LOG

cd $VDR_VERSION
tar -xjvf /tmp/$BP 2>&1 | tee -a $LOG
[ "$?" != "0" ] && "Fehler beim entpacken von /tmp/$BP.tar.bz2" | tee -a $LOG && exit 1

patch < BigPatch/bigpatch-current.diff 2>&1 | tee -a $LOG
[ "$?" != "0" ] && "Fehler beim Patchen mit BigPatch" | tee -a $LOG && exit 1

tar -C PLUGINS/ -xjvf /tmp/$PLG 2>&1 | tee -a $LOG
[ "$?" != "0" ] && "Fehler beim Entpacken von /tmp/$PLG.tar.bz2" | tee -a $LOG && exit 1

stp vdr
make vdr | tee -a $LOG
[ "$?" != "0" ] && "Fehler beim kompilieren von VDR" | tee -a $LOG && exit 1

cd ..
rm VDR
ln -s $VDR_VERSION VDR

cd VDR
make plugins install-doc 2>&1 | tee -a $LOG
perl /etc/vdr/plugins/admin/cfgplg.pl

# Burn Plugin changes
BURN_SCRIPTS="vdrburn-archive.sh vdrburn-dvd.sh burn-buffers"
cp -av /usr/local/src/VDR/PLUGINS/src/burn/burn /etc/vdr/plugins/
for i in $BURN_SCRIPTS ; do
   [ -f /usr/bin/$i ] && rm -f /usr/bin/$i
   ln -s /usr/local/src/VDR/PLUGINS/src/burn/$i /usr/bin/
done 

stt vdr





